Project

Profile

Help

Issue #4062

Updated by ttereshc about 3 years ago

I tried to sync from CDN https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/, 
 I set ssl_client_certificate and ssl_client_key on a Remote. 
 SSL cert/key are in PEM format. 

 Sync failed: 

 <pre> 
 Oct 05 15:04:13 pulp3 rq[18441]: Traceback (most recent call last): 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/models/remote.py", line 40, in download_factory 
 Oct 05 15:04:13 pulp3 rq[18441]:       return self._download_factory 
 Oct 05 15:04:13 pulp3 rq[18441]: AttributeError: 'RpmRemote' object has no attribute '_download_factory' 
 Oct 05 15:04:13 pulp3 rq[18441]: During handling of the above exception, another exception occurred: 
 Oct 05 15:04:13 pulp3 rq[18441]: Traceback (most recent call last): 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/.virtualenvs/pulp/lib64/python3.6/site-packages/rq/worker.py", line 793, in perform_job 
 Oct 05 15:04:13 pulp3 rq[18441]:       rv = job.perform() 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/.virtualenvs/pulp/lib64/python3.6/site-packages/rq/job.py", line 599, in perform 
 Oct 05 15:04:13 pulp3 rq[18441]:       self._result = self._execute() 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/.virtualenvs/pulp/lib64/python3.6/site-packages/rq/job.py", line 605, in _execute 
 Oct 05 15:04:13 pulp3 rq[18441]:       return self.func(*self.args, **self.kwargs) 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/devel/pulp_rpm/pulp_rpm/app/tasks/synchronizing.py", line 70, in synchronize 
 Oct 05 15:04:13 pulp3 rq[18441]:       loop.run_until_complete(pipeline) 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/usr/lib64/python3.6/asyncio/base_events.py", line 468, in run_until_complete 
 Oct 05 15:04:13 pulp3 rq[18441]:       return future.result() 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/stages/api.py", line 128, in create_pipeline 
 Oct 05 15:04:13 pulp3 rq[18441]:       await asyncio.gather(*futures) 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/devel/pulp_rpm/pulp_rpm/app/tasks/synchronizing.py", line 192, in __call__ 
 Oct 05 15:04:13 pulp3 rq[18441]:       'repodata/repomd.xml')) 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/models/remote.py", line 61, in get_downloader 
 Oct 05 15:04:13 pulp3 rq[18441]:       return self.download_factory.build(url, **kwargs) 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/models/remote.py", line 42, in download_factory 
 Oct 05 15:04:13 pulp3 rq[18441]:       self._download_factory = DownloaderFactory(self) 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/download/factory.py", line 59, in __init__ 
 Oct 05 15:04:13 pulp3 rq[18441]:       self._session = self._make_aiohttp_session_from_remote() 
 Oct 05 15:04:13 pulp3 rq[18441]:     File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/download/factory.py", line 84, in _make_aiohttp_session_from_remote 
 Oct 05 15:04:13 pulp3 rq[18441]:       self._remote.ssl_client_certificate.name 
 Oct 05 15:04:13 pulp3 rq[18441]: ssl.SSLError: [SSL] PEM lib (_ssl.c:3423) 
 </pre> 

 This issue is to track SSL error only. 
 AttributeError is will be tracked separately: https://pulp.plan.io/issues/4063 separately.

Back